using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using SanShared;

namespace CSVParser
{
    public static class CsvParserFactory 
    {
        public static IReadCSVData ReadCSVFile(AcceptedCSVFormats csvFormat, string csvFile)
        {
            switch (csvFormat)
            {
                case AcceptedCSVFormats.UVRELINING:
                    return new UVRelining(csvFile);
                case AcceptedCSVFormats.BLUELIGHT:
                    return new BlueLight(csvFile);
                default:
                    throw new ArgumentOutOfRangeException(nameof(csvFormat));
            }
        }
    }
}
